Subject: Re: bug#23782: 24.5; gnutls.c error with package.el and GNU elpa as archive

From: Ted Zlatanov <[email-masked]>
Date: Fri, 17 Jun 2016 09:34:38 -0400

On Fri, 17 Jun 2016 10:03:22 +0200 Thierry Volpiatto <[email-masked]> wrote: 

TV> I have upgraded to xubuntu 16.04 and I have an error:

TV> gnutls.c: [0] (Emacs) fatal error: The TLS connection was non-properly terminated.

TV> when using `("gnu" . "https://elpa.gnu.org/packages/") as entry`
TV> for `package-archives`, I haven't this error on xubuntu 14.04, I have no
TV> error with https+melpa.
TV> When removing `gnu` archive from `package-archives` the error disapear.
TV> So it seems https is no more supported for GNU elpa with latest ubuntu.

Can you try `(eww "https://elpa.gnu.org/packages")' please?

Can you try `gnutls-cli elpa.gnu.org' from the command line?

Have you customized any `gnutls-*' variables?

Thanks
Ted